com.virtual.tour.road.com.virtual.tour.road.vista

## Class MainActivity

- java.lang.Object
- - android.content.Context
  - - android.content.ContextWrapper
    - - android.view.ContextThemeWrapper
      - - android.app.Activity
        - - android.support.v4.app.FragmentActivity
          - - android.support.v7.app.ActionBarActivity
            - - com.virtual.tour.road.com.virtual.tour.road.vista.MainActivity

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.support.v4.app.ActionBarDrawerToggle.DelegateProvider, android.support.v4.app.TaskStackBuilder.SupportParentable, android.view.KeyEvent.Callback, android.view.LayoutInflater.Factory, android.view.LayoutInflater.Factory2, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback, android.view.Window.OnWindowDismissedCallback, FifthFragment.OnFragmentInteractionListener, FirstFragment.OnFragmentInteractionListener, ForthFragment.OnFragmentInteractionListener, SecondFragment.OnFragmentInteractionListener, SixFragment.OnFragmentInteractionListener, ThirdFragment.OnFragmentInteractionListener

      public class MainActivity
      extends android.support.v7.app.ActionBarActivity
      implements FirstFragment.OnFragmentInteractionListener, SecondFragment.OnFragmentInteractionListener, ThirdFragment.OnFragmentInteractionListener, ForthFragment.OnFragmentInteractionListener, FifthFragment.OnFragmentInteractionListener, SixFragment.OnFragmentInteractionListener

  Created by Carolina Bonnin. Actividad principal. Encargada de setear los valores para el navigation drawer (menu) Muestra los iconos. A partir de esta actividad se puede acceder a todas las otras.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.app.Activity

      `android.app.Activity.TranslucentConversionListener`

    - ### Nested classes/interfaces inherited from class android.content.Context

      `android.content.Context.BindServiceFlags, android.content.Context.CreatePackageOptions, android.content.Context.ServiceName`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Controlador` | `controlador`
    `private FragmentNavigationDrawer` | `dlDrawer`
    `private GestorPreIniReproductorMusica` | `gestor`

    - ### Fields inherited from class android.app.Activity

      `DEFAULT_KEYS_DIALER, DEFAULT_KEYS_DISABLE, DEFAULT_KEYS_SEARCH_GLOBAL, DEFAULT_KEYS_SEARCH_LOCAL, DEFAULT_KEYS_SHORTCUT, FOCUSED_STATE_SET, RESULT_CANCELED, RESULT_FIRST_USER, RESULT_OK`

    - ### Fields inherited from class android.content.Context

      `ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, BACKUP_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_IMPORTANT, BIND_NOT_FOREGROUND, BIND_NOT_VISIBLE, BIND_SHOWING_UI, BIND_TREAT_LIKE_ACTIVITY, BIND_VISIBLE, BIND_WAIVE_PRIORITY, BLUETOOTH_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CLIPBOARD_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_REGISTER_PACKAGE, CONTEXT_RESTRICTED, COUNTRY_DETECTOR, DEVICE_POLICY_SERVICE, DISPLAY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, ETHERNET_SERVICE, FINGERPRINT_SERVICE, HDMI_CONTROL_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_PRIVATE, NETWORK_POLICY_SERVICE, NETWORK_SCORE_SERVICE, NETWORK_STATS_SERVICE, NETWORKMANAGEMENT_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, PERSISTENT_DATA_BLOCK_SERVICE, POWER_SERVICE, PRINT_SERVICE, RESTRICTIONS_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, SERIAL_SERVICE, SIP_SERVICE, STATUS_BAR_SERVICE, STORAGE_SERVICE, TELECOM_SERVICE, TELEPHONY_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TRUST_SERVICE, TV_INPUT_SERVICE, UI_MODE_SERVICE, UPDATE_LOCK_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_SERVICE, VOICE_INTERACTION_MANAGER_SERVICE, WALLPAPER_SERVICE, WIFI_P2P_SERVICE, WIFI_PASSPOINT_SERVICE, WIFI_RTT_SERVICE, WIFI_SCANNING_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainActivity()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.support.v4.app.FragmentManager` | `getSupportFragmentManager()`
    `void` | `initializeOnClickListeners()` Metodo para gestionar los onClick de los iconos
    `void` | `onConfigurationChanged(android.content.res.Configuration newConfig)` Dispatch configuration change to all fragments.
    `protected void` | `onCreate(android.os.Bundle savedInstanceState)` Perform initialization of all fragments and loaders.
    `boolean` | `onCreateOptionsMenu(android.view.Menu menu)` Initialize the contents of the Activity's standard options menu.
    `void` | `onFragmentInteraction(android.net.Uri uri)`
    `boolean` | `onOptionsItemSelected(android.view.MenuItem item)` This hook is called whenever an item in your options menu is selected.
    `protected void` | `onPostCreate(android.os.Bundle savedInstanceState)` Called when activity start-up is complete (after `Activity.onStart()` and `Activity.onRestoreInstanceState(android.os.Bundle)` have been called).
    `boolean` | `onPrepareOptionsMenu(android.view.Menu menu)` Prepare the Screen's standard options menu to be displayed.

    - ### Methods inherited from class android.support.v7.app.ActionBarActivity

      `addContentView, getDrawerToggleDelegate, getMenuInflater, getSupportActionBar, getSupportParentActivityIntent, getV7DrawerToggleDelegate, invalidateOptionsMenu, onBackPressed, onContentChanged, onCreatePanelMenu, onCreatePanelView, onCreateSupportNavigateUpTaskStack, onCreateView, onDestroy, onKeyDown, onKeyShortcut, onMenuItemSelected, onMenuOpened, onPanelClosed, onPostResume, onPrepareOptionsPanel, onPreparePanel, onPrepareSupportNavigateUpTaskStack, onStop, onSupportActionModeFinished, onSupportActionModeStarted, onSupportContentChanged, onSupportNavigateUp, onTitleChanged, setContentView, setContentView, setContentView, setSupportActionBar, setSupportProgress, setSupportProgressBarIndeterminate, setSupportProgressBarIndeterminateVisibility, setSupportProgressBarVisibility, startSupportActionMode, supportInvalidateOptionsMenu, supportNavigateUpTo, supportRequestWindowFeature, supportShouldUpRecreateTask`

    - ### Methods inherited from class android.support.v4.app.FragmentActivity

      `dump, getLastCustomNonConfigurationInstance, getSupportFragmentManager, getSupportLoaderManager, onActivityResult, onAttachFragment, onLowMemory, onNewIntent, onPause, onResume, onResumeFragments, onRetainCustomNonConfigurationInstance, onRetainNonConfigurationInstance, onSaveInstanceState, onStart, setEnterSharedElementCallback, setExitSharedElementCallback, startActivityForResult, startActivityFromFragment, supportFinishAfterTransition, supportPostponeEnterTransition, supportStartPostponedEnterTransition`

    - ### Methods inherited from class android.app.Activity

      `closeContextMenu, closeOptionsMenu, convertFromTranslucent, convertToTranslucent, createPendingResult, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, findViewById, finish, finishActivity, finishActivityFromChild, finishAffinity, finishAfterTransition, finishAndRemoveTask, finishFromChild, getActionBar, getActivityToken, getApplication, getCallingActivity, getCallingPackage, getChangingConfigurations, getComponentName, getContentScene, getContentTransitionManager, getCurrentFocus, getFragmentManager, getIntent, getLayoutInflater, getLoaderManager, getLocalClassName, getMediaController, getParent, getParentActivityIntent, getPreferences, getRequestedOrientation, getSystemService, getTaskId, getTitle, getTitleColor, getVoiceInteractor, getVolumeControlStream, getWindow, getWindowManager, hasWindowFocus, isBackgroundVisibleBehind, isChangingConfigurations, isChild, isDestroyed, isFinishing, isImmersive, isResumed, isTaskRoot, isVoiceInteraction, moveTaskToBack, navigateUpTo, navigateUpToFromChild, onActionModeFinished, onActionModeStarted, onActivityReenter, onApplyThemeResource, onAttachedToWindow, onAttachFragment, onBackgroundVisibleBehindChanged, onChildTitleChanged, onContextItemSelected, onContextMenuClosed, onCreate, onCreateContextMenu, onCreateDescription, onCreateNavigateUpTaskStack, onCreateThumbnail, onCreateView, onDetachedFromWindow, onEnterAnimationComplete, onGenericMotionEvent, onKeyLongPress, onKeyMultiple, onKeyUp, onNavigateUp, onNavigateUpFromChild, onNewActivityOptions, onOptionsMenuClosed, onPostCreate, onPrepareNavigateUpTaskStack, onProvideAssistData, onRestart, onRestoreInstanceState, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onTouchEvent, onTrackballEvent, onTrimMemory, onUserInteraction, onUserLeaveHint, onVisibleBehindCanceled, onWindowAttributesChanged, onWindowDismissed, onWindowFocusChanged, onWindowStartingActionMode, openContextMenu, openOptionsMenu, overridePendingTransition, postponeEnterTransition, recreate, registerForContextMenu, releaseInstance, reportFullyDrawn, requestVisibleBehind, requestWindowFeature, runOnUiThread, setActionBar, setContentTransitionManager, setDefaultKeyMode, setEnterSharedElementCallback, setExitSharedElementCallback, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setFinishOnTouchOutside, setImmersive, setIntent, setMediaController, setProgress, setProgressBarIndeterminate, setProgressBarIndeterminateVisibility, setProgressBarVisibility, setRequestedOrientation, setResult, setResult, setSecondaryProgress, setTaskDescription, setTitle, setTitle, setVisible, setVolumeControlStream, shouldUpRecreateTask, startActionMode, startActivities, startActivities, startActivity, startActivity, startActivityAsCaller, startActivityAsUser, startActivityAsUser, startActivityForResult, startActivityForResultAsUser, startActivityForResultAsUser, startActivityFromChild, startActivityFromChild, startActivityFromFragment, startActivityFromFragment, startActivityIfNeeded, startActivityIfNeeded, startIntentSender, startIntentSender, startIntentSenderForResult, startIntentSenderForResult, startIntentSenderFromChild, startIntentSenderFromChild, startLockTask, startNextMatchingActivity, startNextMatchingActivity, startPostponedEnterTransition, startSearch, stopLockTask, takeKeyEvents, triggerSearch, unregisterForContextMenu`

    - ### Methods inherited from class android.view.ContextThemeWrapper

      `applyOverrideConfiguration, attachBaseContext, getResources, getTheme, getThemeResId, setTheme`

    - ### Methods inherited from class android.content.ContextWrapper

      `bindService, bindServiceAsUser, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkUriPermission, checkUriPermission, clearWallpaper, createApplicationContext, createConfigurationContext, createDisplayContext, createPackageContext, createPackageContextAsUser, databaseList, deleteDatabase, deleteFile, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getAssets, getBaseContext, getBasePackageName, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDir, getDisplayAdjustments, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getMainLooper, getNoBackupFilesDir, getObbDir, getObbDirs, getOpPackageName, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getSharedPreferences, getSharedPrefsFile, getUserId, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isRestricted, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, registerReceiverAsUser, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setWallpaper, setWallpaper, startActivitiesAsUser, startInstrumentation, startService, startServiceAsUser, stopService, stopServiceAsUser, unbindService, unregisterReceiver`

    - ### Methods inherited from class android.content.Context

      `getDrawable, getString, getString, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, registerComponentCallbacks, unregisterComponentCallbacks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### controlador

          private Controlador controlador

    - #### dlDrawer

          private FragmentNavigationDrawer dlDrawer

    - #### gestor

          private GestorPreIniReproductorMusica gestor

  - ### Constructor Detail

    - #### MainActivity

          public MainActivity()

  - ### Method Detail

    - #### initializeOnClickListeners

          public void initializeOnClickListeners()

      Metodo para gestionar los onClick de los iconos

    - #### onConfigurationChanged

          public void onConfigurationChanged(android.content.res.Configuration newConfig)

      Description copied from class: `android.support.v4.app.FragmentActivity`
      Dispatch configuration change to all fragments.
      Specified by:
        `onConfigurationChanged` in interface `android.content.ComponentCallbacks`
      Overrides:
        `onConfigurationChanged` in class `android.support.v7.app.ActionBarActivity`
      Parameters:
        `newConfig` - The new device configuration.

    - #### onCreate

          protected void onCreate(android.os.Bundle savedInstanceState)

      Description copied from class: `android.support.v4.app.FragmentActivity`
      Perform initialization of all fragments and loaders.
      Overrides:
        `onCreate` in class `android.support.v7.app.ActionBarActivity`
      Parameters:
        `savedInstanceState` - If the activity is being re-initialized after previously being shut down then this Bundle contains the data it most recently supplied in `Activity.onSaveInstanceState(android.os.Bundle)`. Note: Otherwise it is null.
      See Also:
        `Activity.onStart()`, `Activity.onSaveInstanceState(android.os.Bundle)`, `Activity.onRestoreInstanceState(android.os.Bundle)`, `Activity.onPostCreate(android.os.Bundle)`

    - #### onCreateOptionsMenu

          public boolean onCreateOptionsMenu(android.view.Menu menu)

      Description copied from class: `android.app.Activity`
      Initialize the contents of the Activity's standard options menu. You should place your menu items in to menu.

      This is only called once, the first time the options menu is displayed. To update the menu every time it is displayed, see `Activity.onPrepareOptionsMenu(android.view.Menu)`.

      The default implementation populates the menu with standard system menu items. These are placed in the `Menu.CATEGORY_SYSTEM` group so that they will be correctly ordered with application-defined menu items. Deriving classes should always call through to the base implementation.

      You can safely hold on to menu (and any items created from it), making modifications to it as desired, until the next time onCreateOptionsMenu() is called.

      When you add items to the menu, you can implement the Activity's `Activity.onOptionsItemSelected(android.view.MenuItem)` method to handle them there.

      Overrides:
        `onCreateOptionsMenu` in class `android.app.Activity`
      Parameters:
        `menu` - The options menu in which you place your items.
      Returns:
        You must return true for the menu to be displayed; if you return false it will not be shown.
      See Also:
        `Activity.onPrepareOptionsMenu(android.view.Menu)`, `Activity.onOptionsItemSelected(android.view.MenuItem)`

    - #### onFragmentInteraction

          public void onFragmentInteraction(android.net.Uri uri)

      Specified by:
        `onFragmentInteraction` in interface `FifthFragment.OnFragmentInteractionListener`
      Specified by:
        `onFragmentInteraction` in interface `FirstFragment.OnFragmentInteractionListener`
      Specified by:
        `onFragmentInteraction` in interface `ForthFragment.OnFragmentInteractionListener`
      Specified by:
        `onFragmentInteraction` in interface `SecondFragment.OnFragmentInteractionListener`
      Specified by:
        `onFragmentInteraction` in interface `SixFragment.OnFragmentInteractionListener`
      Specified by:
        `onFragmentInteraction` in interface `ThirdFragment.OnFragmentInteractionListener`

    - #### onOptionsItemSelected

          public boolean onOptionsItemSelected(android.view.MenuItem item)

      Description copied from class: `android.app.Activity`
      This hook is called whenever an item in your options menu is selected. The default implementation simply returns false to have the normal processing happen (calling the item's Runnable or sending a message to its Handler as appropriate). You can use this method for any items for which you would like to do processing without those other facilities.

      Derived classes should call through to the base class for it to perform the default menu handling.

      Overrides:
        `onOptionsItemSelected` in class `android.app.Activity`
      Parameters:
        `item` - The menu item that was selected.
      Returns:
        boolean Return false to allow normal menu processing to proceed, true to consume it here.
      See Also:
        `Activity.onCreateOptionsMenu(android.view.Menu)`

    - #### onPostCreate

          protected void onPostCreate(android.os.Bundle savedInstanceState)

      Description copied from class: `android.app.Activity`
      Called when activity start-up is complete (after `Activity.onStart()` and `Activity.onRestoreInstanceState(android.os.Bundle)` have been called). Applications will generally not implement this method; it is intended for system classes to do final initialization after application code has run.

      Derived classes must call through to the super class's implementation of this method. If they do not, an exception will be thrown.

      Overrides:
        `onPostCreate` in class `android.app.Activity`
      Parameters:
        `savedInstanceState` - If the activity is being re-initialized after previously being shut down then this Bundle contains the data it most recently supplied in `Activity.onSaveInstanceState(android.os.Bundle)`. Note: Otherwise it is null.
      See Also:
        `Activity.onCreate(android.os.Bundle)`

    - #### onPrepareOptionsMenu

          public boolean onPrepareOptionsMenu(android.view.Menu menu)

      Description copied from class: `android.app.Activity`
      Prepare the Screen's standard options menu to be displayed. This is called right before the menu is shown, every time it is shown. You can use this method to efficiently enable/disable items or otherwise dynamically modify the contents.

      The default implementation updates the system menu items based on the activity's state. Deriving classes should always call through to the base class implementation.

      Overrides:
        `onPrepareOptionsMenu` in class `android.app.Activity`
      Parameters:
        `menu` - The options menu as last shown or first initialized by onCreateOptionsMenu().
      Returns:
        You must return true for the menu to be displayed; if you return false it will not be shown.
      See Also:
        `Activity.onCreateOptionsMenu(android.view.Menu)`

    - #### getSupportFragmentManager

          public android.support.v4.app.FragmentManager getSupportFragmentManager()